Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class OWLMicroReasonerFactory

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.OWLMicroReasonerFactory

All Implemented Interfaces:
  ReasonerFactory

    public class OWLMicroReasonerFactory

extends java.lang.Object
implements ReasonerFactory

Reasoner factory for the OWL micro configuration. This only supports:

- RDFS entailments
- basic OWL axioms like ObjectProperty subClassOf Property
- intersectionOf, equivalentClass and forward implication of unionOf sufficient for traversal of explicit class hierachies<.li>
- Property axioms (inversOf, SymmetricProperty, TransitiveProperty, equivalentProperty)

There is some experimental support for the cheaper class restriction handlingly which should not be relied on at this point.

Version:
  $Revision: 1.11 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Field Summary
`static java.lang.String` | `URI` Static URI for this reasoner type

Constructor Summary
`OWLMicroReasonerFactory()`

Method Summary
`Reasoner` | `create(Resource configuration)` Constructor method that builds an instance of the associated Reasoner
`Model` | `getCapabilities()` Return a description of the capabilities of this reasoner encoded in RDF.
`java.lang.String` | `getURI()` Return the URI labelling this type of reasoner
`static ReasonerFactory` | `theInstance()` Return the single global instance of this factory

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final java.lang.String URI

  Static URI for this reasoner type

  See Also:
    Constant Field Values

Constructor Detail

### OWLMicroReasonerFactory

    public OWLMicroReasonerFactory()

Method Detail

### theInstance

    public static ReasonerFactory theInstance()

  Return the single global instance of this factory

### create

    public Reasoner create(Resource configuration)

  Constructor method that builds an instance of the associated Reasoner

  Specified by:
    `create` in interface `ReasonerFactory`
  Parameters:
    `configuration` - a set of arbitrary configuration information to be passed the reasoner encoded within an RDF graph

### getCapabilities

    public Model getCapabilities()

  Return a description of the capabilities of this reasoner encoded in RDF. This method is normally called by the ReasonerRegistry which caches the resulting information so dynamically creating here is not really an overhead.

  Specified by:
    `getCapabilities` in interface `ReasonerFactory`

### getURI

    public java.lang.String getURI()

  Return the URI labelling this type of reasoner

  Specified by:
    `getURI` in interface `ReasonerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP